Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class ServerRegistrationID

    java.lang.Object
      org.jboss.portal.theme.FQN
          org.jboss.portal.theme.ServerRegistrationID

All Implemented Interfaces:
  java.io.Serializable

    public class ServerRegistrationID

extends FQN

Abstraction of a unique identifier for registered meta data.

Version:
  `$Revision: 8784 $`
Author:
  Martin Holzner.
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServerRegistrationID.Type`

Field Summary
`static ServerRegistrationID.Type` | `TYPE_LAYOUT` Type for a registered Portal Layout.
`static ServerRegistrationID.Type` | `TYPE_RENDERSET` Type for a registered Portal RenderSet.
`static ServerRegistrationID.Type` | `TYPE_THEME` type for a registered Portal Theme.

Fields inherited from class org.jboss.portal.theme.FQN
`names`

Method Summary
`static ServerRegistrationID` | `createID(ServerRegistrationID.Type type, java.lang.String[] names)` Create a new registration id based on the provided type and names.
`static ServerRegistrationID` | `createPortalLayoutID(java.lang.String appID, java.lang.String name)` convenience method to create a new registration id for a layout.
`static ServerRegistrationID` | `createPortalThemeID(java.lang.String appID, java.lang.String name)` convenience method to create a new registration id for a theme.
`boolean` | `equals(java.lang.Object obj)`
`ServerRegistrationID.Type` | `getType()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.theme.FQN
`getName, isChildOf, size, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_THEME

    public static final ServerRegistrationID.Type TYPE_THEME

  type for a registered Portal Theme.

### TYPE_LAYOUT

    public static final ServerRegistrationID.Type TYPE_LAYOUT

  Type for a registered Portal Layout.

### TYPE_RENDERSET

    public static final ServerRegistrationID.Type TYPE_RENDERSET

  Type for a registered Portal RenderSet.

Method Detail

### createID

    public static ServerRegistrationID createID(ServerRegistrationID.Type type,
                                                java.lang.String[] names)

  Create a new registration id based on the provided type and names.

  Parameters:
    `type` - the type of registration to create (TYPE_THEME or TYPE_LAYOUT)
    `names` - an array of names that together build a unique id
  Returns:
    a new ServerRegistrationID

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FQN`

### createPortalThemeID

    public static ServerRegistrationID createPortalThemeID(java.lang.String appID,
                                                           java.lang.String name)
                                                    throws java.lang.IllegalArgumentException

  convenience method to create a new registration id for a theme.

  Parameters:
    `appID` - the name of the portal web application that contains the theme
    `name` - the name of the theme
  Returns:
    a registration id for the meta data of a portal theme with the unique id created from `appID` and `name`
  Throws:
    `java.lang.IllegalArgumentException` - if any of the provided paramter values are null
  See Also:
    `createID(org.jboss.portal.theme.ServerRegistrationID.Type, java.lang.String[])`, `TYPE_THEME`

### createPortalLayoutID

    public static ServerRegistrationID createPortalLayoutID(java.lang.String appID,
                                                            java.lang.String name)
                                                     throws java.lang.IllegalArgumentException

  convenience method to create a new registration id for a layout.

  Parameters:
    `appID` - the name of the portal web application that contains the layout
    `name` - the name of the layout
  Returns:
    a registration id for the meta data of a portal layout with the unique id created from `appID` and `name`
  Throws:
    `java.lang.IllegalArgumentException` - if any of the provided parameter values are null
  See Also:
    `createID(org.jboss.portal.theme.ServerRegistrationID.Type, java.lang.String[])`, `TYPE_LAYOUT`

### getType

    public ServerRegistrationID.Type getType()

  Returns:
    the type of this registration data

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `FQN`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FQN`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD